Skip to main content
PATCH
Update Evaluation Run

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

eval_run_id
string
required

Query Parameters

db_id
string | null

The ID of the database to use

table
string | null

Table to use for rename operation

Body

application/json
name
string
required

New name for the evaluation run

Required string length: 1 - 255

Response

Evaluation run updated successfully

id
string
required

Unique identifier for the evaluation run

eval_type
enum<string>
required

Type of evaluation (accuracy, performance, or reliability)

Available options:
accuracy,
agent_as_judge,
performance,
reliability
eval_data
Eval Data · object
required

Evaluation results and metrics

agent_id
string | null

Agent ID that was evaluated

model_id
string | null

Model ID used in evaluation

model_provider
string | null

Model provider name

team_id
string | null

Team ID that was evaluated

workflow_id
string | null

Workflow ID that was evaluated

name
string | null

Name of the evaluation run

evaluated_component_name
string | null

Name of the evaluated component

eval_input
Eval Input · object | null

Input parameters used for the evaluation

created_at
string<date-time> | null

Timestamp when evaluation was created

updated_at
string<date-time> | null

Timestamp when evaluation was last updated